# DataCallbackQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.CallbackQuery / DataCallbackQuery

# DataCallbackQuery

(common) `interface DataCallbackQuery : CallbackQuery` (source)

### Properties

(common)

#### data

`abstract val data: String`

### Extension Functions

(common)

#### createAnswer

`fun CallbackQuery.createAnswer(text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null): AnswerCallbackQuery`

### Inheritors

(common)

#### InlineMessageIdDataCallbackQuery

`data class InlineMessageIdDataCallbackQuery : DataCallbackQuery, InlineMessageIdCallbackQuery`

(common)

#### MessageDataCallbackQuery

`data class MessageDataCallbackQuery : DataCallbackQuery, MessageCallbackQuery`